aboutsummaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/not-dynamic.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/script/not-dynamic.sh b/script/not-dynamic.sh
index b9a13070..2beb4e0b 100755
--- a/script/not-dynamic.sh
+++ b/script/not-dynamic.sh
@@ -7,7 +7,12 @@ if [ "$#" -ne 1 ]; then
exit 2
fi
-if file $1 | grep 'dynamically linked' 2>&1; then
+if [ ! -x "$1" ]; then
+ echo "[fail] $1 does not exist or is not an executable"
+ exit 1
+fi
+
+if file "$1" | grep 'dynamically linked' 2>&1; then
echo "[fail] $1 is dynamic"
exit 1
fi